Create a new video
POST
/media/video
const url = 'https://app.mediamanager.io/api/v1/media/video';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"team_id":1,"title":"example","description":"example","custom_fields":{"additionalProperty":"example"},"is_downloadable":true,"is_published":true,"url":"example","tags":["example"],"is_previewable":true,"disable_transcription":true,"captions":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.mediamanager.io/api/v1/media/video \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "team_id": 1, "title": "example", "description": "example", "custom_fields": { "additionalProperty": "example" }, "is_downloadable": true, "is_published": true, "url": "example", "tags": [ "example" ], "is_previewable": true, "disable_transcription": true, "captions": "example" }'Post data to create a new video content
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”Create one or many new video content
Media type application/json
One of:
object
team_id
integer
title
string
description
string
custom_fields
Custom fields as key value pairs
object
key
additional properties
string
is_downloadable
boolean
is_published
boolean
url
string
tags
An array of tags as strings
Array<string>
is_previewable
boolean
disable_transcription
boolean
captions
string
Array
object
team_id
integer
title
string
description
string
custom_fields
Custom fields as key value pairs
object
key
additional properties
string
is_downloadable
boolean
is_published
boolean
url
string
tags
An array of tags as strings
Array<string>
is_previewable
boolean
disable_transcription
boolean
captions
string
Example generated
{ "team_id": 1, "title": "example", "description": "example", "custom_fields": { "additionalProperty": "example" }, "is_downloadable": true, "is_published": true, "url": "example", "tags": [ "example" ], "is_previewable": true, "disable_transcription": true, "captions": "example"}Responses
Section titled “ Responses ”Created
Media type application/json
object
Example
{ "message": "Video created"}Missing or invalid Authorization Bearer token
Media type application/json
object
message
string
Example generated
{ "message": "example"}Not allowed by permissions
Media type application/json
object
message
string
key
additional properties
any
Example generated
{ "message": "example"}Unprocessable entity
Media type application/json
object
message
string
errors
object
key
additional properties
any
Example generated
{ "message": "example", "errors": {}}